SDL_HINT_VIDEO_MAC_FULLSCREEN_SPACES(3)

NAME
SDL_HINT_VIDEO_MAC_FULLSCREEN_SPACES - A variable that specifies the policy for fullscreen Spaces on macOS.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_MAC_FULLSCREEN_SPACES SDL_VIDEO_MAC_FULLSCREEN_SPACES"

DESCRIPTION
The variable can be set to the following values:

• "0": Disable Spaces support (FULLSCREEN_DESKTOP won't use them and

SDL_WINDOW_RESIZABLE
 windows won't offer the
  "fullscreen" button on their titlebars).

• "1": Enable Spaces support (FULLSCREEN_DESKTOP will use them and

SDL_WINDOW_RESIZABLE
 windows will offer the
  "fullscreen" button on their titlebars). (default)

This hint should be set before creating a window.

AVAILABILITY
This hint is available since SDL 3.2.0.